@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Days+One&family=Open+Sans&family=Russo+One&family=Space+Grotesk&display=swap');

*{
    box-sizing: border-box;
}
body{
    background-color: #fbfcfe;
    font-family: 'Roboto' , 'Poppins', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin:0;
}
.container{
    background-color: #fff;
    border:3px solid #000;
    border-radius: 10px;
    padding:30px;
    max-width: 1000px;
    text-align: center;
}
.code-container{
    display: flex;
    align-items: center;
    justify-content: center;
    margin:40px 0;
}
.code{
    border-radius: 5px;
    font-size: 75px;
    height: 120px;
    width: 100px;
    border:1px solid #eee;
    margin:1%;
    text-align: center;
    font-weight: 300;
    /* get ride of up and down arrows in firefox  */
    -moz-appearance: textfield;
}
/* to remove up and down arrows in number input  */
.code::-webkit-outer-spin-button,
.code::-webkit-inner-spin-button{
    -webkit-appearance: none;
    margin:0;
}
.code:valid{
    border-color: #3498db;
    box-shadow: 0 10px 10px -5px rgba(0,0,0,0.25);

}

.info{
    background-color: #eaeaea;
    display: inline-block;
    padding:10px;
    line-height: 20px;
    max-width: 400px;
    color:#777;
    border-radius: 5px;
}
@media (max-width:600px){
    .code-container{
        flex-wrap: wrap;
    }
    .code{
        font-size:60px;
        height: 80px;
        max-width: 70px;
    }
}


/**
    new things to learn:
    removing up and down arrows :line 42 , 45 -49

    in case intered value is valid:  line 50
*/